Bug 274660 - Face regognition crashes DK
Summary: Face regognition crashes DK
Status: CLOSED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.0.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-01 09:30 UTC by Leo
Modified: 2012-06-27 10:23 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments
New crash information added by DrKonqi (11.00 KB, text/plain)
2011-06-01 15:18 UTC, terri.bugs
Details
New crash information added by DrKonqi (11.11 KB, text/plain)
2011-06-05 10:47 UTC, Mark Fraser
Details
New crash information added by DrKonqi (13.86 KB, text/plain)
2011-06-07 09:13 UTC, Dimitar Petrovski
Details
New crash information added by DrKonqi (13.20 KB, text/plain)
2011-06-19 12:42 UTC, Frederic Grelot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leo 2011-06-01 09:30:29 UTC
Application: digikam (2.0.0-beta6)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-9-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
- What I was doing when the application crashed:
just enter in the people tags label
click "scan collection for faces"
select "recognize faces" and start the scan... the program crashes!

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6ccc815a20 (LWP 27832))]

Thread 15 (Thread 0x7f6ca883e700 (LWP 27834)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cc4ed482b in wait (this=<value optimized out>, mutex=0x2384778, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2384778, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00000000005b64a8 in Digikam::ScanController::run (this=0x244fa70) at /build/buildd/digikam2-2.0.0~beta6/core/digikam/database/scancontroller.cpp:618
#4  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x244fa70) at thread/qthread_unix.cpp:320
#5  0x00007f6cc3babd8c in start_thread (arg=0x7f6ca883e700) at pthread_create.c:304
#6  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f6ca803d700 (LWP 27835)):
#0  0x00007f6cc3e9bf03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6cbddf8104 in g_main_context_poll (context=0x7f6ca00009a0, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x7f6ca00009a0, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f6cbddf8639 in g_main_context_iteration (context=0x7f6ca00009a0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f6cc4fe6446 in QEventDispatcherGlib::processEvents (this=0x7f6ca00008b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7f6ca803cb30, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f6cc4ed1924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f6cc4f9cc2f in QInotifyFileSystemWatcherEngine::run (this=0x2404a60) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x2404a60) at thread/qthread_unix.cpp:320
#10 0x00007f6cc3babd8c in start_thread (arg=0x7f6ca803d700) at pthread_create.c:304
#11 0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f6ca783c700 (LWP 27842)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cc4ed482b in wait (this=<value optimized out>, mutex=0x26f3db8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x26f3db8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f6cc9335f77 in Digikam::ParkingThread::run (this=0x26f3da0) at /build/buildd/digikam2-2.0.0~beta6/core/libs/threads/threadmanager.cpp:119
#4  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x26f3da0) at thread/qthread_unix.cpp:320
#5  0x00007f6cc3babd8c in start_thread (arg=0x7f6ca783c700) at pthread_create.c:304
#6  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f6ca67e7700 (LWP 27843)):
#0  0x00007f6cc3e9bf03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6cbddf8104 in g_main_context_poll (context=0x7f6c98064d30, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x7f6c98064d30, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f6cbddf8639 in g_main_context_iteration (context=0x7f6c98064d30, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f6cc4fe6446 in QEventDispatcherGlib::processEvents (this=0x7f6c980299c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7f6ca67e6b30, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f6cc4ed1924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f6cc4f9cc2f in QInotifyFileSystemWatcherEngine::run (this=0x290c860) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x290c860) at thread/qthread_unix.cpp:320
#10 0x00007f6cc3babd8c in start_thread (arg=0x7f6ca67e7700) at pthread_create.c:304
#11 0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f6c8eb73700 (LWP 27848)):
#0  0x00007f6cc3e9bf03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6cbddf8104 in g_main_context_poll (context=0x7f6c9803ec30, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x7f6c9803ec30, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f6cbddf8639 in g_main_context_iteration (context=0x7f6c9803ec30, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f6cc4fe6446 in QEventDispatcherGlib::processEvents (this=0x7f6c980384b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7f6c8eb72b30, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f6cc4ed1924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f6cc4f9cc2f in QInotifyFileSystemWatcherEngine::run (this=0x3938840) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x3938840) at thread/qthread_unix.cpp:320
#10 0x00007f6cc3babd8c in start_thread (arg=0x7f6c8eb73700) at pthread_create.c:304
#11 0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f6c88284700 (LWP 27878)):
#0  0x00007f6cc3e9bf03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6cbddf8104 in g_main_context_poll (context=0x539ac60, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x539ac60, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f6cbddf8639 in g_main_context_iteration (context=0x539ac60, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f6cc4fe6446 in QEventDispatcherGlib::processEvents (this=0x446b720, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7f6c88283b00, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f6cc933561f in Digikam::WorkerObjectRunnable::run (this=0x53cb500) at /build/buildd/digikam2-2.0.0~beta6/core/libs/threads/threadmanager.cpp:196
#8  0x00007f6cc4ec9188 in QThreadPoolThread::run (this=0x7f6c98336b10) at concurrent/qthreadpool.cpp:106
#9  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x7f6c98336b10) at thread/qthread_unix.cpp:320
#10 0x00007f6cc3babd8c in start_thread (arg=0x7f6c88284700) at pthread_create.c:304
#11 0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f6c933db700 (LWP 27969)):
#0  0x00007f6cc3e9bf03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f6cbddf8104 in g_main_context_poll (context=0x5925980, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x5925980, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f6cbddf8639 in g_main_context_iteration (context=0x5925980, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f6cc4fe6446 in QEventDispatcherGlib::processEvents (this=0x54fb460, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7f6c933dab00, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f6cc933561f in Digikam::WorkerObjectRunnable::run (this=0x55c7520) at /build/buildd/digikam2-2.0.0~beta6/core/libs/threads/threadmanager.cpp:196
#8  0x00007f6cc4ec9188 in QThreadPoolThread::run (this=0x5ce91b0) at concurrent/qthreadpool.cpp:106
#9  0x00007f6cc4ed4175 in QThreadPrivate::start (arg=0x5ce91b0) at thread/qthread_unix.cpp:320
#10 0x00007f6cc3babd8c in start_thread (arg=0x7f6c933db700) at pthread_create.c:304
#11 0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f6c86c27700 (LWP 27971)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c86c27700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f6c87028700 (LWP 27970)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c87028700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f6c86425700 (LWP 27973)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c86425700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f6c86826700 (LWP 27972)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c86826700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f6c85c23700 (LWP 27974)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c85c23700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f6c86024700 (LWP 27975)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c86024700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f6c85822700 (LWP 27976)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f6cb9bfcfeb in ?? () from /usr/lib/libtbb.so.2
#2  0x00007f6cb9bfd079 in ?? () from /usr/lib/libtbb.so.2
#3  0x00007f6cc3babd8c in start_thread (arg=0x7f6c85822700) at pthread_create.c:304
#4  0x00007f6cc3ea904d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f6ccc815a20 (LWP 27832)):
[KCrash Handler]
#6  0x00007f6cca7e8277 in KFaceIface::Image::toQImage() const () from /usr/lib/libkface.so.1
#7  0x0000000000504b54 in Digikam::BatchFaceDetector::slotShowOneDetected (this=0x5645c80, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/batch/batchfacedetector.cpp:370
#8  0x00000000005059f1 in Digikam::BatchFaceDetector::qt_metacall (this=0x5645c80, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff8c613140) at /build/buildd/digikam2-2.0.0~beta6/obj-x86_64-linux-gnu/core/digikam/batchfacedetector.moc:91
#9  0x00007f6cc4fd05f8 in QMetaObject::activate (sender=0x55690b0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff8c613140) at kernel/qobject.cpp:3287
#10 0x0000000000677400 in Digikam::FacePipeline::processed (this=<value optimized out>, _t1=<value optimized out>) at /build/buildd/digikam2-2.0.0~beta6/obj-x86_64-linux-gnu/core/digikam/facepipeline.moc:155
#11 0x000000000067fdac in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0x59234c0, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/facedetection/facepipeline.cpp:956
#12 0x0000000000680252 in Digikam::FacePipeline::FacePipelinePriv::qt_metacall (this=0x59234c0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7f6c98032e30) at /build/buildd/digikam2-2.0.0~beta6/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:668
#13 0x00007f6cc4fcf49a in QObject::event (this=0x59234c0, e=<value optimized out>) at kernel/qobject.cpp:1226
#14 0x00007f6cc5bd29e4 in QApplicationPrivate::notify_helper (this=0x22ef350, receiver=0x59234c0, e=0x7f6c98019bf0) at kernel/qapplication.cpp:4462
#15 0x00007f6cc5bd73aa in QApplication::notify (this=<value optimized out>, receiver=0x59234c0, e=0x7f6c98019bf0) at kernel/qapplication.cpp:4341
#16 0x00007f6cc68f1866 in KApplication::notify (this=0x7fff8c613cb0, receiver=0x59234c0, event=0x7f6c98019bf0) at ../../kdeui/kernel/kapplication.cpp:311
#17 0x00007f6cc4fbb49c in QCoreApplication::notifyInternal (this=0x7fff8c613cb0, receiver=0x59234c0, event=0x7f6c98019bf0) at kernel/qcoreapplication.cpp:731
#18 0x00007f6cc4fbec25 in sendEvent (receiver=0x0, event_type=0, data=0x226ae50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#19 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x226ae50) at kernel/qcoreapplication.cpp:1372
#20 0x00007f6cc4fe6253 in sendPostedEvents (s=0x22f1dc0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#21 postEventSourceDispatch (s=0x22f1dc0) at kernel/qeventdispatcher_glib.cpp:277
#22 0x00007f6cbddf7bcd in g_main_dispatch (context=0x22f1ce0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#23 g_main_context_dispatch (context=0x22f1ce0) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#24 0x00007f6cbddf83a8 in g_main_context_iterate (context=0x22f1ce0, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#25 0x00007f6cbddf8639 in g_main_context_iteration (context=0x22f1ce0, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#26 0x00007f6cc4fe63ef in QEventDispatcherGlib::processEvents (this=0x226a5f0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#27 0x00007f6cc5c79dfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#28 0x00007f6cc4fba882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007f6cc4fbaabc in QEventLoop::exec (this=0x7fff8c613b00, flags=...) at kernel/qeventloop.cpp:201
#30 0x00007f6cc4fbeecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#31 0x000000000068ae34 in main (argc=5, argv=0x7fff8c614508) at /build/buildd/digikam2-2.0.0~beta6/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 Philip Johnsson 2011-06-01 13:02:50 UTC
I can also reproduce this crash every time on Kubuntu 11.04. Detect and recognize work as it should but Recognize faces immediately craches digikam after pressing the ok button without even showing a progress bar for the recognition to start.
Comment 2 terri.bugs 2011-06-01 15:18:40 UTC
Created attachment 60542 [details]
New crash information added by DrKonqi

digikam (2.0.0-beta6) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
I was using face detection. I chose Recognize faces in the Scanning faces -window and digiKam crashed immediately after pressing Scan. Detect and recognize faces  is not affected, it works as it should. Also, adding names (manually) to faces previously found on pictures is no problem.

-- Backtrace (Reduced):
#6  0x00007f2757dd6737 in KFaceIface::Image::toQImage() const () from /usr/lib/libkface.so.1
#7  0x0000000000504b54 in Digikam::BatchFaceDetector::slotShowOneDetected (this=0x62780c0, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/batch/batchfacedetector.cpp:370
#8  0x00000000005059f1 in Digikam::BatchFaceDetector::qt_metacall (this=0x62780c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff6aa5d070) at /build/buildd/digikam2-2.0.0~beta6/obj-x86_64-linux-gnu/core/digikam/batchfacedetector.moc:91
[...]
#10 0x0000000000677400 in Digikam::FacePipeline::processed (this=<value optimized out>, _t1=<value optimized out>) at /build/buildd/digikam2-2.0.0~beta6/obj-x86_64-linux-gnu/core/digikam/facepipeline.moc:155
#11 0x000000000067fdac in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0x5bc8300, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/facedetection/facepipeline.cpp:956
Comment 3 terri.bugs 2011-06-01 15:22:22 UTC
Forgot to mention, I'm currently using Kubuntu 11.04, 64-bit.
Comment 4 Ed 2011-06-02 10:11:09 UTC
*** Bug 274727 has been marked as a duplicate of this bug. ***
Comment 5 Mark Fraser 2011-06-05 10:47:35 UTC
Created attachment 60652 [details]
New crash information added by DrKonqi

digikam (2.0.0-beta6) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.2

- What I was doing when the application crashed:

I had already done a "detect and recognise faces" scan previously and tagged a few faces. When I came back to "recognise faces" digikam crashed.

-- Backtrace (Reduced):
#7  0x00bc861f in KFaceIface::Image::toQImage() const () from /usr/lib/libkface.so.1
#8  0x081326ab in Digikam::BatchFaceDetector::slotShowOneDetected (this=0xb61cf28, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/batch/batchfacedetector.cpp:370
#9  0x0813336a in Digikam::BatchFaceDetector::qt_metacall (this=0xb61cf28, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbfcbde08) at /build/buildd/digikam2-2.0.0~beta6/obj-i686-linux-gnu/core/digikam/batchfacedetector.moc:91
[...]
#12 0x082a7975 in Digikam::FacePipeline::processed (this=0xb7c9c34, _t1=...) at /build/buildd/digikam2-2.0.0~beta6/obj-i686-linux-gnu/core/digikam/facepipeline.moc:155
#13 0x082b010a in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0xb7c9df0, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/facedetection/facepipeline.cpp:956
Comment 6 caulier.gilles 2011-06-05 21:04:48 UTC
*** Bug 274850 has been marked as a duplicate of this bug. ***
Comment 7 Dimitar Petrovski 2011-06-07 09:13:57 UTC
Created attachment 60725 [details]
New crash information added by DrKonqi

digikam (2.0.0-beta6) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

just start face recognition and it crashes immediately

-- Backtrace (Reduced):
#7  0x0027361f in KFaceIface::Image::toQImage() const () from /usr/lib/libkface.so.1
#8  0x081326ab in Digikam::BatchFaceDetector::slotShowOneDetected (this=0xac446130, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/batch/batchfacedetector.cpp:370
#9  0x0813336a in Digikam::BatchFaceDetector::qt_metacall (this=0xac446130, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf928ae8) at /build/buildd/digikam2-2.0.0~beta6/obj-i686-linux-gnu/core/digikam/batchfacedetector.moc:91
[...]
#12 0x082a7975 in Digikam::FacePipeline::processed (this=0xaba3f9dc, _t1=...) at /build/buildd/digikam2-2.0.0~beta6/obj-i686-linux-gnu/core/digikam/facepipeline.moc:155
#13 0x082b010a in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0xac449540, package=...) at /build/buildd/digikam2-2.0.0~beta6/core/utilities/facedetection/facepipeline.cpp:956
Comment 8 caulier.gilles 2011-06-07 09:19:27 UTC
If it crash imediatly, can you identify the image relevant of this crash during scan. Look debug message when you run digiKam from a console (enable digikam debug space using kdebugdialog program)

Gilles Caulier
Comment 9 Dimitar Petrovski 2011-06-07 21:03:10 UTC
I have tried as you suggested with debug from console, and the problem seems to be in disk I/O read error from the database. That is strange since the disk is ok on checks, but I will test again to move the database on a new disk, and I will test with the fresh database.

following is the debug output:

digikam(6854)/digikam (core) Digikam::FaceIface::databaseFaces: rect found as  QRect(271,122 99x99) ""QVariant(QRect, QRect(271,122 99x99) ) for attribute "autodetectedFace" tag 64
digikam(6854)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT DISTINCT tagid FROM ImageTagProperties WHERE imageid=?;" 
Error messages: "Unable to fetch row" "disk I/O error" 10 1 QSqlError(-1, "", "") 
Bound values:  (QVariant(qlonglong, 156781) )
digikam(6854)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT DISTINCT tagid FROM ImageTagProperties WHERE imageid=?;" 
Error messages: "Unable to fetch row" "disk I/O error" 10 1 QSqlError(-1, "", "") 
Bound values:  (QVariant(qlonglong, 156782) )
digikam(6854)/digikam (core) Digikam::DatabaseCoreBackendPrivate::debugOutputFailedQuery: Failure executing query:
 "SELECT DISTINCT tagid FROM ImageTagProperties WHERE imageid=?;" 
Error messages: "Unable to fetch row" "disk I/O error" 10 1 QSqlError(-1, "", "")
Comment 10 caulier.gilles 2011-06-08 08:53:07 UTC
make a backup of digiKam4.db file, remove it, and restart digiKam. Look if problem still there.

Gilles Caulier
Comment 11 Philip Johnsson 2011-06-08 13:27:08 UTC
I just tried to remove digikam4.db and restarted Digikam. Had Digikam rescan and remake a new digikam4.db. Also made a new face detection scan. After that when trying to use the face recognition feature Digikam crashes again as before. 

I started digikam from command line and get this output from start to crash:

$ digikam 
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is still in use, all queries will cease to work.
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed: No such file or directory
QFileSystemWatcher: failed to add paths: /home/user/.config/ibus/bus

(digikam:2654): GStreamer-CRITICAL **: gst_debug_add_log_function: assertion `func != NULL' failed
Object::disconnect: Unexpected null parameter
Object::disconnect: Unexpected null parameter
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/user/.kde/socket-linuxfront/kdeinit4__0
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...

[1]+  Stopped                 digikam

Components in use:

digiKam version 2.0.0-rc
Exiv2 can write to Jp2: Yes
Exiv2 can write to Jpeg: Yes
Exiv2 can write to Pgf: Yes
Exiv2 can write to Png: Yes
Exiv2 can write to Tiff: Yes
Exiv2 supports XMP metadata: Yes
LibCImg: 130
LibClapack: internal library
LibExiv2: 0.21.1
LibJPEG: 62
LibJasper: 1.900.1
LibKDE: 4.6.3 (4.6.3)
LibKExiv2: 2.0.0
LibKMap: 2.0.0
LibKdcraw: 2.0.0
LibLCMS: 119
LibPGF: 6.09.44 - internal library
LibPNG: 1.2.44
LibQt: 4.7.2
LibRaw: 0.13.5
LibTIFF: LIBTIFF, Version 3.9.4 Copyright (c) 1988-1996 Sam Leffler Copyright (c) 1991-1996 Silicon Graphics, Inc.
Marble Widget: 0.11.2 (Stable Release)
Parallelized demosaicing: Yes
Database backend: QSQLITE
LibGphoto2: 2.4.11
LibKface: 2.0.0
LibKipi: 1.2.0
LibOpenCV: 2.2.0
Libface: 0.2


The full debug log is as follows:

Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f506cfc5a40 (LWP 2654))]

Thread 9 (Thread 0x7f5047263700 (LWP 2655)):
#0  0x00007f506432dbac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f506565182b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00000000005b6938 in Digikam::ScanController::run (this=0x286cd70) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/digikam/database/scancontroller.cpp:618
#3  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#5  0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f5046a62700 (LWP 2656)):
#0  0x00007f505e557102 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f505e557f9d in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f506564e924 in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f5065719c2f in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f5046261700 (LWP 2658)):
#0  0x00007f506432dbac in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f506565182b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#2  0x00007f5069ae2087 in Digikam::ParkingThread::run (this=0x28ccb80) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/libs/threads/threadmanager.cpp:119
#3  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#4  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#5  0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#6  0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f503efbf700 (LWP 2659)):
#0  0x00007f5064618f03 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f505e558104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f506564e924 in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f5065719c2f in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f5037152700 (LWP 2675)):
#0  0x00007f5064618f03 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f505e558104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f5069ae172f in Digikam::WorkerObjectRunnable::run (this=0x600b580) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#7  0x00007f5065646188 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f502b54e700 (LWP 2676)):
#0  0x00007f5064618f03 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f505e558104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f5069ae172f in Digikam::WorkerObjectRunnable::run (this=0x54d6090) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#7  0x00007f5065646188 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f502ad4d700 (LWP 2677)):
#0  0x00007f505e558605 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#2  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#3  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5069ae172f in Digikam::WorkerObjectRunnable::run (this=0x5a01de0) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#5  0x00007f5065646188 in ?? () from /usr/lib/libQtCore.so.4
#6  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#7  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#8  0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#9  0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f5029243700 (LWP 2686)):
#0  0x00007f5064618f03 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f505e558104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f5065763446 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f5069ae172f in Digikam::WorkerObjectRunnable::run (this=0x5a52740) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/libs/threads/threadmanager.cpp:196
#7  0x00007f5065646188 in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f5065651175 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f505a57dc53 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#10 0x00007f5064328d8c in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f506462604d in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f506cfc5a40 (LWP 2654)):
[KCrash Handler]
#6  KFaceIface::Image::toQImage (this=0x7fff578d87b0) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/extra/libkface/libkface/image.cpp:135
#7  0x0000000000504b94 in Digikam::BatchFaceDetector::slotShowOneDetected (this=0x5e20110, package=...) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/utilities/batch/batchfacedetector.cpp:370
#8  0x0000000000505a31 in Digikam::BatchFaceDetector::qt_metacall (this=0x5e20110, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff578d88e0) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/build/core/digikam/batchfacedetector.moc:91
#9  0x00007f506574d5f8 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#10 0x0000000000677890 in Digikam::FacePipeline::processed (this=<value optimized out>, _t1=<value optimized out>) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/build/core/digikam/facepipeline.moc:155
#11 0x000000000068023c in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0x6062790, package=...) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/utilities/facedetection/facepipeline.cpp:956
#12 0x00000000006806e2 in Digikam::FacePipeline::FacePipelinePriv::qt_metacall (this=0x6062790, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0x7f5024011a60) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/build/core/digikam/facepipeline_p.moc:668
#13 0x00007f506574c49a in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#14 0x00007f506634f9e4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#15 0x00007f50663543aa in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#16 0x00007f506706f196 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#17 0x00007f506573849c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#18 0x00007f506573bc25 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#19 0x00007f5065763253 in ?? () from /usr/lib/libQtCore.so.4
#20 0x00007f505e557bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#21 0x00007f505e5583a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#22 0x00007f505e558639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#23 0x00007f50657633ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0x00007f50663f6dfe in ?? () from /usr/lib/libQtGui.so.4
#25 0x00007f5065737882 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#26 0x00007f5065737abc in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#27 0x00007f506573becb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#28 0x000000000068b2c4 in main (argc=1, argv=0x7fff578d9ca8) at /media/sdd2/backup/download/source/done/digikam/digikam2/digikam-software-compilation/core/digikam/main/main.cpp:232
Comment 12 Philip Johnsson 2011-06-08 13:36:35 UTC
Btw, I always get the warning "(digikam:2702): GStreamer-CRITICAL **: gst_debug_add_log_function: assertion `func != NULL' failed" when I start digikam from command line and it in it self doesn't make anything crash so I guess what's after that might be part of the crash.
Comment 13 caulier.gilles 2011-06-08 13:39:49 UTC
digiKam do not use GStreamer stuff. KDELibs Phonon component can use it to display video files preview in digiKam.

Perphaps your phonon/GStreamer install/config is broken ?

Gilles Caulier
Comment 14 Philip Johnsson 2011-06-08 14:09:15 UTC
The GStreamer backend for Phonon works but gives that warning. Also do
the same if i start i.e Amarok from command line but Amarok works just
fine. Just to make sure I changed Phonon backend to VLC and digikam
still crashes like this but without the GStreamer warning:

$ digikam
QSqlDatabasePrivate::removeDatabase: connection 'ConnectionTest' is
still in use, all queries will cease to work.
QInotifyFileSystemWatcherEngine::addPaths: inotify_add_watch failed:
No such file or directory
QFileSystemWatcher: failed to add paths: /home/user/.config/ibus/bus
Object::disconnect: Unexpected null parameter
Object::disconnect: Unexpected null parameter
KCrash: Application 'digikam' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/user/.kde/socket-linuxfront/kdeinit4__0
QSocketNotifier: Invalid socket 14 and type 'Read', disabling...
QSocketNotifier: Invalid socket 21 and type 'Read', disabling...

[1]+  Stopped                 digikam
Comment 15 Philip Johnsson 2011-06-08 14:43:19 UTC
FYI, I also tried to compile against opencv 2.1 instead of opencv 2.2 but it didn't matter. Crashes the same way with either opencv 2.1 or 2.2. Had just to try it...
Comment 16 caulier.gilles 2011-06-08 14:54:29 UTC
did you disabled libdc1394 support in opencv ? There is just a flag to turn off on cmake configuration...

Gilles Caulier
Comment 17 caulier.gilles 2011-06-08 14:55:21 UTC
See this report for info :

https://bugs.kde.org/show_bug.cgi?id=268267

Gilles Caulier
Comment 18 Philip Johnsson 2011-06-08 15:15:26 UTC
No I didn't but I use my own opencv packages that have libdc1394
disabled (otherwise the same as ubuntu stock) to make it work with
libgphoto2 and camera import. The packages on my PPA also use opencv
2.2 without libdc1394 support and therefor no crashes since beta4 when
I did that workaround. With the libdc1394 cmake flag now availible I
can try to use that instead with the packages.

/Philip



On Wed, Jun 8, 2011 at 2:55 PM, Gilles Caulier <caulier.gilles@gmail.com> wrote:
> https://bugs.kde.org/show_bug.cgi?id=274660
>
>
>
>
>
> --- Comment #17 from Gilles Caulier <caulier gilles gmail com>  2011-06-08 14:55:21 ---
> See this report for info :
>
> https://bugs.kde.org/show_bug.cgi?id=268267
>
> Gilles Caulier
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 19 Philip Johnsson 2011-06-08 15:32:29 UTC
Aha, I misunderstood. Thought I could turn of libdc1394 in opencv
linking in digikam with digikam cmake configuration. You meant that I
could do it with opencv? That is what I have done since beta3-4 as a
workaround for libgphoto2 and import from camera. So this crash with
face recognition shouldn't have anything to do with that. Face
recognition worked as it should until beta6 when it started to crash
like this so the bug must have been introduced in the code somehow in
the code after beta5.

/Philip

On Wed, Jun 8, 2011 at 3:15 PM, Philip Johnsson
<philip.johnsson@gmail.com> wrote:
> No I didn't but I use my own opencv packages that have libdc1394
> disabled (otherwise the same as ubuntu stock) to make it work with
> libgphoto2 and camera import. The packages on my PPA also use opencv
> 2.2 without libdc1394 support and therefor no crashes since beta4 when
> I did that workaround. With the libdc1394 cmake flag now availible I
> can try to use that instead with the packages.
>
> /Philip
Comment 20 caulier.gilles 2011-06-11 12:41:46 UTC
*** Bug 275387 has been marked as a duplicate of this bug. ***
Comment 21 Marcel Wiesweg 2011-06-11 16:43:21 UTC
Git commit 40865d086618839bebd4a70730590f8324195536 by Marcel Wiesweg.
Committed on 11/06/2011 at 16:07.
Pushed by mwiesweg into branch 'master'.

d can be null. Add missing checks to avoid crash.

BUG: 274660

M  +2    -2    libkface/image.cpp     

http://commits.kde.org/libkface/40865d086618839bebd4a70730590f8324195536
Comment 22 caulier.gilles 2011-06-14 16:14:49 UTC
*** Bug 275637 has been marked as a duplicate of this bug. ***
Comment 23 Philip Johnsson 2011-06-14 18:28:32 UTC
FYI, pulled code from git master today and built Digikam 2.0 and now it doesn't crash on face recognition anymore like I have reported in this thread.
Comment 24 Frederic Grelot 2011-06-19 12:42:22 UTC
Created attachment 61139 [details]
New crash information added by DrKonqi

digikam (2.0.0-beta6) on KDE Platform 4.6.3 (4.6.3) using Qt 4.7.2

- What I was doing when the application crashed:
Tried to rescan previously scanned faces to identify them

- Custom settings of the application:

-My database is on a mysql distant server
-The pictures are stored over NFS
-When I launch DK 2.0.0b6, I get a message telling that my database can not be updated to version 6
-Digikam built by myself

-- Backtrace (Reduced):
#6  KFaceIface::Image::toQImage (this=<optimized out>) at /raid/home/goulou/digikam/digikam-2.0.0-beta6/extra/libkface/libkface/image.cpp:135
#7  0x000000000050b4bf in Digikam::BatchFaceDetector::slotShowOneDetected (this=0x3ac3850, package=...) at /raid/home/goulou/digikam/digikam-2.0.0-beta6/core/utilities/batch/batchfacedetector.cpp:370
#8  0x000000000050c381 in Digikam::BatchFaceDetector::qt_metacall (this=0x3ac3850, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7fff728378b0) at /raid/home/goulou/digikam/digikam-2.0.0-beta6/build/core/digikam/batchfacedetector.moc:91
[...]
#10 0x000000000067ed00 in Digikam::FacePipeline::processed (this=<optimized out>, _t1=<optimized out>) at /raid/home/goulou/digikam/digikam-2.0.0-beta6/build/core/digikam/facepipeline.moc:155
#11 0x000000000068672c in Digikam::FacePipeline::FacePipelinePriv::finishProcess (this=0x32b34b0, package=...) at /raid/home/goulou/digikam/digikam-2.0.0-beta6/core/utilities/facedetection/facepipeline.cpp:956
Comment 25 Marcel Wiesweg 2011-06-19 15:49:57 UTC
Frederic, this crash should be fixed in libkface with the commit from comment #21
Comment 26 Frederic Grelot 2011-06-19 16:24:17 UTC
Thanks Marcel for the hint... I didn't read the full bugreport (I'm not sure if I had it entirely in KDE's reporting tool... that's why...).
I managed to go around it by adding a check in the caller's function (in /core/utilities/batch/batchfacedetector.cpp:slotShowOneDetected), not in the function itself...
I thought it was more appropriate, since KFace provides a "isNull" function : it should thus be the the caller's responsibility to ask if the image is null or not, and then call (or not call...) toQImage. By the way, toQImage should then return NULL, not an empty QImage, but that's just my opinion (and I'm not a c++, but a java developper, so my methods/conventions may be different than yours!)
Comment 27 Marcel Wiesweg 2011-06-19 19:16:06 UTC
I see the Java developer shining through ;-)
The returned image is not just empty, but null (isNull()) which is a the return value according to Qt conventions. If you call methods on a "null" object (where "null" is a Qt convention, not pure C++) you will get invalid data, but never crashes.